
Base Language - Feature #1599

Feature # 1596 (Closed): complete big decimal implementation

shift EXP implementation (MathOps.pow()) to BigDecimal

10/19/2012 08:13 AM - Greg Shah

Status: Closed Start date: 01/28/2014

Priority: Normal Due date: 01/31/2014

Assignee: Hynek Cihlar % Done: 100%

Category:  Estimated time: 6.00 hours

Target version: Cleanup and Stablization for Server

Features

  

billable: No vendor_id: GCD

Description

History

#1 - 10/31/2012 01:50 PM - Greg Shah

- Target version set to Milestone 7

#2 - 04/25/2013 10:59 AM - Greg Shah

- Target version changed from Milestone 7 to Milestone 11

#3 - 05/03/2013 10:05 AM - Greg Shah

- Assignee set to Ovidiu Maxiniuc

- Start date changed from 10/19/2012 to 08/08/2013

- Due date set to 08/08/2013

#4 - 01/21/2014 01:32 PM - Greg Shah

- Due date changed from 08/08/2013 to 01/31/2014

- Start date changed from 08/08/2013 to 01/28/2014

- Assignee changed from Ovidiu Maxiniuc to Hynek Cihlar

#5 - 02/03/2014 04:49 PM - Hynek Cihlar

The title of the issue mentions pow and exp. MathOps contains only pow method, but that is already using BigDecimal.pow. Please, clarify.

#6 - 02/03/2014 06:25 PM - Greg Shah

There are 3 other versions of pow() and these all resolve down to using Math.pow() and double.  These need to be fixed to use the same correct

worker pow(NumberType, NumberType).

#7 - 02/19/2014 02:52 PM - Hynek Cihlar

- File hc_upd20140219a.zip added

Please review the attached changes. Testcases checked in to testcases/uast/math/exp.p.

#8 - 02/19/2014 03:41 PM - Greg Shah

Code Review 0219a

The code looks good. My only comments relate to some coding standards:
1. Lines 608 and 614 are missing line breaks between the } and the keyword.

2. The private methods should be grouped at the bottom of the class with other private methods.

Upload the resulting update and go ahead with runtime regression testing.

#9 - 02/20/2014 03:58 AM - Hynek Cihlar

- File hc_upd20140220a.zip added

I also moved the log private methods down to the private methods section. The attached changes are submitted for regression testing.

#10 - 02/20/2014 08:21 AM - Greg Shah

Code Review 0220a

Everything looks good.  If it passes runtime regression testing, you can check it in and distribute it.

#11 - 02/23/2014 03:15 PM - Hynek Cihlar

- Status changed from New to WIP

#12 - 02/26/2014 03:17 PM - Hynek Cihlar

0220a regression tested and checked in to bzr revision 10481.

#13 - 02/26/2014 03:18 PM - Hynek Cihlar

- % Done changed from 0 to 100

#14 - 02/26/2014 03:35 PM - Greg Shah

- Status changed from WIP to Closed

#15 - 02/27/2014 03:06 PM - Hynek Cihlar

- File hc_upd20140227a.zip added

Fixed error handling issue in MathOps.pow(BigDecimal, BigDecimal). Regression test is in progress.

#16 - 03/03/2014 04:33 PM - Greg Shah

Code Review 0227a

It looks fine.  Assuming it passes testing, you can check it in and distribute it.

#17 - 03/07/2014 01:13 AM - Hynek Cihlar

- File hc_upd20140305a.zip added

I also added a javadoc fix of the method pow(BigDecimal, BigDecimal). The changes were regression tested and checked in to bzr revision 10486.

#18 - 11/16/2016 12:07 PM - Greg Shah

- Target version changed from Milestone 11 to Cleanup and Stablization for Server Features

Files
hc_upd20140219a.zip 12.1 KB 02/19/2014 Hynek Cihlar

hc_upd20140220a.zip 12.4 KB 02/20/2014 Hynek Cihlar

hc_upd20140227a.zip 12.5 KB 02/27/2014 Hynek Cihlar

hc_upd20140305a.zip 78.1 KB 03/07/2014 Hynek Cihlar
